Error Reference
Error Response Shape
Section titled “Error Response Shape”Error responses use this JSON structure:
{ "code": 400, "title": "Validation Error", "message": "Invalid state code provided", "suggestion": "Provide one of the documented stateCode values", "body": {}}Status Codes
Section titled “Status Codes”| Status | Meaning | Typical Causes |
|---|---|---|
| 400 | Validation error | Invalid path parameter, invalid body, invalid provider, invalid state code |
| 401 | Unauthorized | Missing or invalid bearer token |
| 404 | Not found | Company, location, or partner config not found |
| 429 | Too many requests | Rate limit exceeded |
| 500 | Internal server error | Unexpected server error |
Common Validation Errors
Section titled “Common Validation Errors”Invalid Authorization PayloadUnable to parse requestRequest path missing companyId. Ensure request path starts with /v1/{companyId}Request path missing locationId. Ensure request path starts with /v1/{companyId}/location/{locationId}Invalid state code providedInvalid SKUs providedInvalid provider
- The
messagefield is safe to log and use for debugging. - The
bodyfield may include additional context for some validation failures.